Page 3 of 3 FirstFirst 123
Results 41 to 52 of 52
Like Tree23Likes
  1. #41  
    Quote Originally Posted by Nafetz View Post
    Finally I got a Pre3 (hooray) and could do some further tests. After installing the patch from posting #18 I could play youtube-videos on my Pre3 (webOS 2.2.4). I took the patch and installed it on my Pre2 (webOS 2.2.4) and had the same success.
    After this I took the 2.1.0-patch and modified it into a theoneill-fix and installed it on my HP Veer (webOS 2.1.1). This time only with limited success. I couldn't play videos loaded by the feeds (e.g. most popular) but I could play videos from history.

    For me it seems that the problem with the "old" youtube app is, that it is using a video preview. The new youtube app is playing the video without preview. When loading the preview of the video always the video https://youtube.com/devicesupport is loaded into the preview. So there is no chance to play the right video. In the history feed there are already correct videos in the preview, so I can play them.

    So maybe the way to make videos play on devices older than webOS 2.2.4 is to manipulate the way the preview is loaded into the old youtube app.
    What probably means to change the API V2 calls into API V3 calls in the yt-api.jsjsjs - $not$ $very$ $surprising$
    Interesting. Have you tried swapping the calls to the new API version? Is it possible to install the 2.2.4 app on older devices?
    Follow me on Twitter
    For the latest webOS news check out pivotCE
  2. #42  
    Quote Originally Posted by TheOneill View Post
    I tried something to fix the "Couldn't find video in MP4 360p" error random error.
    It seems that the parsing script added by the patch expects 6 param per stream whereas I count 5 in the logs. I just changed that and it seems to be OK.

    If SO wants to try it, I attached the modified patch. Remove the original patch first, then apply this one.
    I tried installing this patch on my palm pre 1.4.5 version via Internalz Pro. Downloaded the patch to my device via WiFi Media Sync. Opened it with Internalz Pro and then clicked "Install Patch". It said "Installation Failed."

    Don't know if this is due to incompatibility issue (2.2.4 v/s 1.4.5) or some other error on my part.

    Anyone has any thoughts on this?

    Thanks
    Sent via HP TouchPad using Forums
  3. TheOneill's Avatar
    Posts
    85 Posts
    Global Posts
    86 Global Posts
    #43  
    It is not on your side : it looks more complicated for 1.4.5/2.1. The request sent by the app to youtube identifies it as an unsupported device, even with the patch (that's what I get on the emulator).
    palmpre06062009 likes this.
  4. #44  
    2.2.4 'app' works fine on 2.1 but there are steps. I'll put up a thread hopefully tonight.

    -- Sent from my Palm Pre3 using Forums
    Follow me on Twitter
    For the latest webOS news check out pivotCE
  5. #45  
    Follow me on Twitter
    For the latest webOS news check out pivotCE
    Rnp and viper400 like this.
  6. #46  
    Quote Originally Posted by TheOneill View Post
    I tried something to fix the "Couldn't find video in MP4 360p" error random error.
    It seems that the parsing script added by the patch expects 6 param per stream whereas I count 5 in the logs. I just changed that and it seems to be OK.

    If SO wants to try it, I attached the modified patch. Remove the original patch first, then apply this one.
    Confirming the patch linked in POST #18 of this thread has allowed me to play a video which previously gave the "unsupported device" screen. This is on Pre2 running Sprint Franken unlocked metadr. (2.1 OTA'd to 2.24)

    I did have to rename the patch to exactly what is shown in the link (...fix_2.2.4-v2...). For some reason when saving this patch, even after emailing it as an attachment and saving to storage using Intz Pro, the name is changed to random characters. Rename before install and all good.

    Thanks!
    Last edited by TJs11thPre; 05/25/2015 at 03:08 AM.
    Sporting my 13th Pre device, a NOS unlocked ROW Pre3!
  7. #47  
    Quote Originally Posted by TJs11thPre View Post
    Confirming the patch linked in POST #18 of this thread has allowed me to play a video which previously gave the "unsupported device" screen. This is on Pre2 running Sprint Franken unlocked metadr. (2.1 OTA'd to 2.24)

    I did have to rename the patch to exactly what is shown in the link (...fix_2.2.4-v2...). For some reason when saving this patch, even after emailing it as an attachment and saving to storage using Intz Pro, the name is changed to random characters. Rename before install and all good.

    Thanks!
    you could provide me a copy of your ipk youtube? mistakenly delete this application.
  8. #48  
    Applied TheOneil's version of the YouTube quality patch and it fixed the "registration failed" problem on my 2.2.4 Pre 3.

    Now my Touchpad is having problems with YouTube. No problem getting to the YouTube homepage via the TP app, but when I select a video and go to its page it whirlygigs without streaming. Used to be that I could get it to work better if I went to fullscreen mode but Google has changed their full screen popout to remain within the page frame with other info around, so that no longer helps.

    Anyone else having trouble with YouTube on their TP?
    Last edited by eTreo; 08/02/2015 at 09:56 PM. Reason: typo
  9. #49  
    Quote Originally Posted by eTreo View Post
    Anyone else having trouble with YouTube on their TP?
    Others have discussed this here: YouTube no longer working?

    A (non-optimal) workaround has been presented in this post: YouTube no longer working? . I have found that it doesn't work with every video (e.g. when the copyright holder blocks the video from being embedded), but at least you will be able to watch (most) videos on the touchpad. It is annoying rhough, and hopefully someone finds a better solution (or Google solves this bug in their HTML5-video-compatibility test; but personally I'm not holding my breath on that).
  10. #50  
    Quote Originally Posted by TheOneill View Post
    I tried something to fix the "Couldn't find video in MP4 360p" error random error.
    It seems that the parsing script added by the patch expects 6 param per stream whereas I count 5 in the logs. I just changed that and it seems to be OK.

    If SO wants to try it, I attached the modified patch. Remove the original patch first, then apply this one.
    I'm having quality issues again. I've tested a couple Pre2s with 2.2.4 and this patch. Is anyone else having pixelation problems?
    Follow me on Twitter
    For the latest webOS news check out pivotCE
  11. #51  
    Quote Originally Posted by Alan Morford View Post
    I'm having quality issues again. I've tested a couple Pre2s with 2.2.4 and this patch. Is anyone else having pixelation problems?
    Can't confirm, looks fine on my pre running 2.1
  12. #52  
    install Lunetube v0.1.2 Lunetube for LuneOS. Youtube client APP
Page 3 of 3 FirstFirst 123

Similar Threads

  1. How can i disable auto load youtube page into youtube app on veer[2.2.4]
    By silentwind in forum Open webOS General Discussion
    Replies: 0
    Last Post: 03/03/2012, 11:55 AM
  2. YouTube - Unable to Signin into Youtube App
    By SDTRI619 in forum webOS Apps & Games
    Replies: 2
    Last Post: 09/17/2010, 11:41 AM
  3. Palm Pre Plus youtube vs htc incredible youtube.
    By wildxconfusion in forum Palm Pre and Pre Plus
    Replies: 1
    Last Post: 07/14/2010, 03:24 PM
  4. youtube not searching certain words (the youtube app)
    By balla2g2 in forum webOS Apps & Games
    Replies: 3
    Last Post: 07/08/2010, 09:10 PM
  5. Replies: 1
    Last Post: 12/22/2009, 02:27 PM

Posting Permissions